export interface ObjectLocator {
    readonly schemaName: string;
    readonly tableName?: string;
}
export interface RuleProps {
    readonly ruleId?: string;
    readonly ruleAction?: string;
    readonly ruleName?: string;
    readonly loadOrder?: number;
    readonly filters?: any[];
}
export declare class Rule {
    ruleId?: string;
    ruleAction?: string;
    ruleName?: string;
    loadOrder?: number;
    filters?: any[];
    constructor(props: RuleProps);
    format(): any;
}
export declare class TableMappings {
    rules: Rule[];
    constructor(rules?: Rule[]);
    addRule(rule: Rule): void;
    format(): any;
    toJSON(): string;
}
export declare class TaskSettings {
    toJSON(): string;
}
