import { ObjectLocator, Rule, RuleProps } from './base';
export declare enum SelectionAction {
    INCLUDE = "include",
    EXCLUDE = "exclude",
    EXPLICIT = "explicit"
}
export interface SelectionObjectLocator extends ObjectLocator {
    readonly tableType?: 'table' | 'view' | 'all';
}
export interface SelectionRuleProps extends RuleProps {
    readonly objectLocator: SelectionObjectLocator;
}
export declare class SelectionRule extends Rule {
    loadOrder?: number;
    filters?: any[];
    ruleType: string;
    objectLocator: SelectionObjectLocator;
    constructor(props: SelectionRuleProps);
    format(): any;
}
